com.impinj.stp

## Class StpApi.Response

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.Response

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.ResponseOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.Response
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.ResponseOrBuilder

  Protobuf type `Impinj.STP.Response` From Impinj Device to Host
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.Response.Builder` Protobuf type `Impinj.STP.Response` From Impinj Device to Host

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD_LICENSE_KEY_FIELD_NUMBER`
    `static int` | `ADD_ORDERED_LIST_ENTRIES_FIELD_NUMBER`
    `static int` | `ADD_SERIALIZATION_JOB_FIELD_NUMBER`
    `static int` | `ADD_TID_TABLE_ENTRIES_FIELD_NUMBER`
    `static int` | `CONNECT_FIELD_NUMBER`
    `static int` | `DISENGAGE_FIELD_NUMBER`
    `static int` | `ENGAGE_FIELD_NUMBER`
    `static int` | `GET_ANTENNA_CONFIG_FIELD_NUMBER`
    `static int` | `GET_DEVICE_CONFIG_FIELD_NUMBER`
    `static int` | `GET_DEVICE_STATE_FIELD_NUMBER`
    `static int` | `GET_OPERATION_DATA_FIELD_NUMBER`
    `static int` | `GET_VERSIONS_READER_FIELD_NUMBER`
    `static int` | `INVALID_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.Response>` | `PARSER`
    `static int` | `REMOVE_SERIALIZATION_JOB_FIELD_NUMBER`
    `static int` | `SET_ANTENNA_CONFIG_FIELD_NUMBER`
    `static int` | `SET_CARTON_CONTENTS_JOB_FIELD_NUMBER`
    `static int` | `SET_DEVICE_CONFIG_FIELD_NUMBER`
    `static int` | `SET_INVENTORY_JOB_FIELD_NUMBER`
    `static int` | `SET_OPERATION_RESULT_GPO_FIELD_NUMBER`
    `static int` | `START_FIELD_NUMBER`
    `static int` | `STOP_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AddLicenseKeyResp` | `getAddLicenseKey()`
    `StpApi.AddLicenseKeyRespOrBuilder` | `getAddLicenseKeyOrBuilder()`
    `StpApi.AddOrderedListEntriesResp` | `getAddOrderedListEntries()`
    `StpApi.AddOrderedListEntriesRespOrBuilder` | `getAddOrderedListEntriesOrBuilder()`
    `StpApi.AddSerializationJobResp` | `getAddSerializationJob()`
    `StpApi.AddSerializationJobRespOrBuilder` | `getAddSerializationJobOrBuilder()`
    `StpApi.AddTIDTableEntriesResp` | `getAddTidTableEntries()`
    `StpApi.AddTIDTableEntriesRespOrBuilder` | `getAddTidTableEntriesOrBuilder()`
    `StpApi.ConnectResp` | `getConnect()` ************************************************************ **************************
    `StpApi.ConnectRespOrBuilder` | `getConnectOrBuilder()` ************************************************************ **************************
    `static StpApi.Response` | `getDefaultInstance()`
    `StpApi.Response` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `StpApi.DisengageResp` | `getDisengage()`
    `StpApi.DisengageRespOrBuilder` | `getDisengageOrBuilder()`
    `StpApi.EngageResp` | `getEngage()`
    `StpApi.EngageRespOrBuilder` | `getEngageOrBuilder()`
    `StpApi.GetAntennaConfigResp` | `getGetAntennaConfig()`
    `StpApi.GetAntennaConfigRespOrBuilder` | `getGetAntennaConfigOrBuilder()`
    `StpApi.GetDeviceConfigResp` | `getGetDeviceConfig()`
    `StpApi.GetDeviceConfigRespOrBuilder` | `getGetDeviceConfigOrBuilder()`
    `StpApi.GetDeviceStateResp` | `getGetDeviceState()`
    `StpApi.GetDeviceStateRespOrBuilder` | `getGetDeviceStateOrBuilder()`
    `StpApi.GetOperationDataResp` | `getGetOperationData()`
    `StpApi.GetOperationDataRespOrBuilder` | `getGetOperationDataOrBuilder()`
    `StpApi.GetVersionsReaderResp` | `getGetVersionsReader()`
    `StpApi.GetVersionsReaderRespOrBuilder` | `getGetVersionsReaderOrBuilder()`
    `StpApi.InvalidResp` | `getInvalid()`
    `StpApi.InvalidRespOrBuilder` | `getInvalidOrBuilder()`
    `com.google.protobuf.Parser<StpApi.Response>` | `getParserForType()`
    `StpApi.RemoveSerializationJobResp` | `getRemoveSerializationJob()`
    `StpApi.RemoveSerializationJobRespOrBuilder` | `getRemoveSerializationJobOrBuilder()`
    `int` | `getSerializedSize()`
    `StpApi.SetAntennaConfigResp` | `getSetAntennaConfig()`
    `StpApi.SetAntennaConfigRespOrBuilder` | `getSetAntennaConfigOrBuilder()`
    `StpApi.SetCartonContentsJobResp` | `getSetCartonContentsJob()`
    `StpApi.SetCartonContentsJobRespOrBuilder` | `getSetCartonContentsJobOrBuilder()`
    `StpApi.SetDeviceConfigResp` | `getSetDeviceConfig()`
    `StpApi.SetDeviceConfigRespOrBuilder` | `getSetDeviceConfigOrBuilder()`
    `StpApi.SetInventoryJobResp` | `getSetInventoryJob()`
    `StpApi.SetInventoryJobRespOrBuilder` | `getSetInventoryJobOrBuilder()`
    `StpApi.SetOperationResultGPOResp` | `getSetOperationResultGpo()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.SetOperationResultGPORespOrBuilder` | `getSetOperationResultGpoOrBuilder()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `StpApi.StartResp` | `getStart()`
    `StpApi.StartRespOrBuilder` | `getStartOrBuilder()`
    `StpApi.StopResp` | `getStop()`
    `StpApi.StopRespOrBuilder` | `getStopOrBuilder()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasAddLicenseKey()`
    `boolean` | `hasAddOrderedListEntries()`
    `boolean` | `hasAddSerializationJob()`
    `boolean` | `hasAddTidTableEntries()`
    `boolean` | `hasConnect()` ************************************************************ **************************
    `boolean` | `hasDisengage()`
    `boolean` | `hasEngage()`
    `boolean` | `hasGetAntennaConfig()`
    `boolean` | `hasGetDeviceConfig()`
    `boolean` | `hasGetDeviceState()`
    `boolean` | `hasGetOperationData()`
    `boolean` | `hasGetVersionsReader()`
    `boolean` | `hasInvalid()`
    `boolean` | `hasRemoveSerializationJob()`
    `boolean` | `hasSetAntennaConfig()`
    `boolean` | `hasSetCartonContentsJob()`
    `boolean` | `hasSetDeviceConfig()`
    `boolean` | `hasSetInventoryJob()`
    `boolean` | `hasSetOperationResultGpo()` DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
    `boolean` | `hasStart()`
    `boolean` | `hasStop()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.Response.Builder` | `newBuilder()`
    `static StpApi.Response.Builder` | `newBuilder(StpApi.Response prototype)`
    `StpApi.Response.Builder` | `newBuilderForType()`
    `protected StpApi.Response.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.Response` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.Response` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Response` | `parseFrom(byte[] data)`
    `static StpApi.Response` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Response` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.Response` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Response` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.Response` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Response` | `parseFrom(java.io.InputStream input)`
    `static StpApi.Response` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Response.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.Response> PARSER

    - #### CONNECT_FIELD_NUMBER

          public static final int CONNECT_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_VERSIONS_READER_FIELD_NUMBER

          public static final int GET_VERSIONS_READER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### START_FIELD_NUMBER

          public static final int START_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STOP_FIELD_NUMBER

          public static final int STOP_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### INVALID_FIELD_NUMBER

          public static final int INVALID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_DEVICE_STATE_FIELD_NUMBER

          public static final int GET_DEVICE_STATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_DEVICE_CONFIG_FIELD_NUMBER

          public static final int SET_DEVICE_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_DEVICE_CONFIG_FIELD_NUMBER

          public static final int GET_DEVICE_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_ANTENNA_CONFIG_FIELD_NUMBER

          public static final int SET_ANTENNA_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_ANTENNA_CONFIG_FIELD_NUMBER

          public static final int GET_ANTENNA_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENGAGE_FIELD_NUMBER

          public static final int ENGAGE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DISENGAGE_FIELD_NUMBER

          public static final int DISENGAGE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_OPERATION_RESULT_GPO_FIELD_NUMBER

          public static final int SET_OPERATION_RESULT_GPO_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ADD_SERIALIZATION_JOB_FIELD_NUMBER

          public static final int ADD_SERIALIZATION_JOB_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### REMOVE_SERIALIZATION_JOB_FIELD_NUMBER

          public static final int REMOVE_SERIALIZATION_JOB_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ADD_TID_TABLE_ENTRIES_FIELD_NUMBER

          public static final int ADD_TID_TABLE_ENTRIES_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ADD_ORDERED_LIST_ENTRIES_FIELD_NUMBER

          public static final int ADD_ORDERED_LIST_ENTRIES_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_INVENTORY_JOB_FIELD_NUMBER

          public static final int SET_INVENTORY_JOB_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SET_CARTON_CONTENTS_JOB_FIELD_NUMBER

          public static final int SET_CARTON_CONTENTS_JOB_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GET_OPERATION_DATA_FIELD_NUMBER

          public static final int GET_OPERATION_DATA_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ADD_LICENSE_KEY_FIELD_NUMBER

          public static final int ADD_LICENSE_KEY_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.Response getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.Response getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.Response> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasConnect

          public boolean hasConnect()

      ************************************************************ **************************
      Specified by:
        `hasConnect` in interface `StpApi.ResponseOrBuilder`

    - #### getConnect

          public StpApi.ConnectResp getConnect()

      ************************************************************ **************************
      Specified by:
        `getConnect` in interface `StpApi.ResponseOrBuilder`

    - #### getConnectOrBuilder

          public StpApi.ConnectRespOrBuilder getConnectOrBuilder()

      ************************************************************ **************************
      Specified by:
        `getConnectOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetVersionsReader

          public boolean hasGetVersionsReader()

      Specified by:
        `hasGetVersionsReader` in interface `StpApi.ResponseOrBuilder`

    - #### getGetVersionsReader

          public StpApi.GetVersionsReaderResp getGetVersionsReader()

      Specified by:
        `getGetVersionsReader` in interface `StpApi.ResponseOrBuilder`

    - #### getGetVersionsReaderOrBuilder

          public StpApi.GetVersionsReaderRespOrBuilder getGetVersionsReaderOrBuilder()

      Specified by:
        `getGetVersionsReaderOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasStart

          public boolean hasStart()

      Specified by:
        `hasStart` in interface `StpApi.ResponseOrBuilder`

    - #### getStart

          public StpApi.StartResp getStart()

      Specified by:
        `getStart` in interface `StpApi.ResponseOrBuilder`

    - #### getStartOrBuilder

          public StpApi.StartRespOrBuilder getStartOrBuilder()

      Specified by:
        `getStartOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasStop

          public boolean hasStop()

      Specified by:
        `hasStop` in interface `StpApi.ResponseOrBuilder`

    - #### getStop

          public StpApi.StopResp getStop()

      Specified by:
        `getStop` in interface `StpApi.ResponseOrBuilder`

    - #### getStopOrBuilder

          public StpApi.StopRespOrBuilder getStopOrBuilder()

      Specified by:
        `getStopOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasInvalid

          public boolean hasInvalid()

      Specified by:
        `hasInvalid` in interface `StpApi.ResponseOrBuilder`

    - #### getInvalid

          public StpApi.InvalidResp getInvalid()

      Specified by:
        `getInvalid` in interface `StpApi.ResponseOrBuilder`

    - #### getInvalidOrBuilder

          public StpApi.InvalidRespOrBuilder getInvalidOrBuilder()

      Specified by:
        `getInvalidOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetDeviceState

          public boolean hasGetDeviceState()

      Specified by:
        `hasGetDeviceState` in interface `StpApi.ResponseOrBuilder`

    - #### getGetDeviceState

          public StpApi.GetDeviceStateResp getGetDeviceState()

      Specified by:
        `getGetDeviceState` in interface `StpApi.ResponseOrBuilder`

    - #### getGetDeviceStateOrBuilder

          public StpApi.GetDeviceStateRespOrBuilder getGetDeviceStateOrBuilder()

      Specified by:
        `getGetDeviceStateOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetDeviceConfig

          public boolean hasSetDeviceConfig()

      Specified by:
        `hasSetDeviceConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getSetDeviceConfig

          public StpApi.SetDeviceConfigResp getSetDeviceConfig()

      Specified by:
        `getSetDeviceConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getSetDeviceConfigOrBuilder

          public StpApi.SetDeviceConfigRespOrBuilder getSetDeviceConfigOrBuilder()

      Specified by:
        `getSetDeviceConfigOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetDeviceConfig

          public boolean hasGetDeviceConfig()

      Specified by:
        `hasGetDeviceConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getGetDeviceConfig

          public StpApi.GetDeviceConfigResp getGetDeviceConfig()

      Specified by:
        `getGetDeviceConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getGetDeviceConfigOrBuilder

          public StpApi.GetDeviceConfigRespOrBuilder getGetDeviceConfigOrBuilder()

      Specified by:
        `getGetDeviceConfigOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetAntennaConfig

          public boolean hasSetAntennaConfig()

      Specified by:
        `hasSetAntennaConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getSetAntennaConfig

          public StpApi.SetAntennaConfigResp getSetAntennaConfig()

      Specified by:
        `getSetAntennaConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getSetAntennaConfigOrBuilder

          public StpApi.SetAntennaConfigRespOrBuilder getSetAntennaConfigOrBuilder()

      Specified by:
        `getSetAntennaConfigOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetAntennaConfig

          public boolean hasGetAntennaConfig()

      Specified by:
        `hasGetAntennaConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getGetAntennaConfig

          public StpApi.GetAntennaConfigResp getGetAntennaConfig()

      Specified by:
        `getGetAntennaConfig` in interface `StpApi.ResponseOrBuilder`

    - #### getGetAntennaConfigOrBuilder

          public StpApi.GetAntennaConfigRespOrBuilder getGetAntennaConfigOrBuilder()

      Specified by:
        `getGetAntennaConfigOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasEngage

          public boolean hasEngage()

      Specified by:
        `hasEngage` in interface `StpApi.ResponseOrBuilder`

    - #### getEngage

          public StpApi.EngageResp getEngage()

      Specified by:
        `getEngage` in interface `StpApi.ResponseOrBuilder`

    - #### getEngageOrBuilder

          public StpApi.EngageRespOrBuilder getEngageOrBuilder()

      Specified by:
        `getEngageOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasDisengage

          public boolean hasDisengage()

      Specified by:
        `hasDisengage` in interface `StpApi.ResponseOrBuilder`

    - #### getDisengage

          public StpApi.DisengageResp getDisengage()

      Specified by:
        `getDisengage` in interface `StpApi.ResponseOrBuilder`

    - #### getDisengageOrBuilder

          public StpApi.DisengageRespOrBuilder getDisengageOrBuilder()

      Specified by:
        `getDisengageOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetOperationResultGpo

          public boolean hasSetOperationResultGpo()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
      Specified by:
        `hasSetOperationResultGpo` in interface `StpApi.ResponseOrBuilder`

    - #### getSetOperationResultGpo

          public StpApi.SetOperationResultGPOResp getSetOperationResultGpo()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
      Specified by:
        `getSetOperationResultGpo` in interface `StpApi.ResponseOrBuilder`

    - #### getSetOperationResultGpoOrBuilder

          public StpApi.SetOperationResultGPORespOrBuilder getSetOperationResultGpoOrBuilder()

      DEPRECATED 0x2f06; DEPRECATED 0x2f07; DEPRECATED 0x2f08;
      Specified by:
        `getSetOperationResultGpoOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasAddSerializationJob

          public boolean hasAddSerializationJob()

      Specified by:
        `hasAddSerializationJob` in interface `StpApi.ResponseOrBuilder`

    - #### getAddSerializationJob

          public StpApi.AddSerializationJobResp getAddSerializationJob()

      Specified by:
        `getAddSerializationJob` in interface `StpApi.ResponseOrBuilder`

    - #### getAddSerializationJobOrBuilder

          public StpApi.AddSerializationJobRespOrBuilder getAddSerializationJobOrBuilder()

      Specified by:
        `getAddSerializationJobOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasRemoveSerializationJob

          public boolean hasRemoveSerializationJob()

      Specified by:
        `hasRemoveSerializationJob` in interface `StpApi.ResponseOrBuilder`

    - #### getRemoveSerializationJob

          public StpApi.RemoveSerializationJobResp getRemoveSerializationJob()

      Specified by:
        `getRemoveSerializationJob` in interface `StpApi.ResponseOrBuilder`

    - #### getRemoveSerializationJobOrBuilder

          public StpApi.RemoveSerializationJobRespOrBuilder getRemoveSerializationJobOrBuilder()

      Specified by:
        `getRemoveSerializationJobOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasAddTidTableEntries

          public boolean hasAddTidTableEntries()

      Specified by:
        `hasAddTidTableEntries` in interface `StpApi.ResponseOrBuilder`

    - #### getAddTidTableEntries

          public StpApi.AddTIDTableEntriesResp getAddTidTableEntries()

      Specified by:
        `getAddTidTableEntries` in interface `StpApi.ResponseOrBuilder`

    - #### getAddTidTableEntriesOrBuilder

          public StpApi.AddTIDTableEntriesRespOrBuilder getAddTidTableEntriesOrBuilder()

      Specified by:
        `getAddTidTableEntriesOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasAddOrderedListEntries

          public boolean hasAddOrderedListEntries()

      Specified by:
        `hasAddOrderedListEntries` in interface `StpApi.ResponseOrBuilder`

    - #### getAddOrderedListEntries

          public StpApi.AddOrderedListEntriesResp getAddOrderedListEntries()

      Specified by:
        `getAddOrderedListEntries` in interface `StpApi.ResponseOrBuilder`

    - #### getAddOrderedListEntriesOrBuilder

          public StpApi.AddOrderedListEntriesRespOrBuilder getAddOrderedListEntriesOrBuilder()

      Specified by:
        `getAddOrderedListEntriesOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetInventoryJob

          public boolean hasSetInventoryJob()

      Specified by:
        `hasSetInventoryJob` in interface `StpApi.ResponseOrBuilder`

    - #### getSetInventoryJob

          public StpApi.SetInventoryJobResp getSetInventoryJob()

      Specified by:
        `getSetInventoryJob` in interface `StpApi.ResponseOrBuilder`

    - #### getSetInventoryJobOrBuilder

          public StpApi.SetInventoryJobRespOrBuilder getSetInventoryJobOrBuilder()

      Specified by:
        `getSetInventoryJobOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasSetCartonContentsJob

          public boolean hasSetCartonContentsJob()

      Specified by:
        `hasSetCartonContentsJob` in interface `StpApi.ResponseOrBuilder`

    - #### getSetCartonContentsJob

          public StpApi.SetCartonContentsJobResp getSetCartonContentsJob()

      Specified by:
        `getSetCartonContentsJob` in interface `StpApi.ResponseOrBuilder`

    - #### getSetCartonContentsJobOrBuilder

          public StpApi.SetCartonContentsJobRespOrBuilder getSetCartonContentsJobOrBuilder()

      Specified by:
        `getSetCartonContentsJobOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasGetOperationData

          public boolean hasGetOperationData()

      Specified by:
        `hasGetOperationData` in interface `StpApi.ResponseOrBuilder`

    - #### getGetOperationData

          public StpApi.GetOperationDataResp getGetOperationData()

      Specified by:
        `getGetOperationData` in interface `StpApi.ResponseOrBuilder`

    - #### getGetOperationDataOrBuilder

          public StpApi.GetOperationDataRespOrBuilder getGetOperationDataOrBuilder()

      Specified by:
        `getGetOperationDataOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### hasAddLicenseKey

          public boolean hasAddLicenseKey()

      Specified by:
        `hasAddLicenseKey` in interface `StpApi.ResponseOrBuilder`

    - #### getAddLicenseKey

          public StpApi.AddLicenseKeyResp getAddLicenseKey()

      Specified by:
        `getAddLicenseKey` in interface `StpApi.ResponseOrBuilder`

    - #### getAddLicenseKeyOrBuilder

          public StpApi.AddLicenseKeyRespOrBuilder getAddLicenseKeyOrBuilder()

      Specified by:
        `getAddLicenseKeyOrBuilder` in interface `StpApi.ResponseOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.Response parseFrom(com.google.protobuf.ByteString data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Response parseFrom(com.google.protobuf.ByteString data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Response parseFrom(byte[] data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Response parseFrom(byte[] data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Response parseFrom(java.io.InputStream input)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Response parseFrom(java.io.InputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.Response parseDelimitedFrom(java.io.InputStream input)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.Response parseDelimitedFrom(java.io.InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Response parseFrom(com.google.protobuf.CodedInputStream input)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Response parseFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.Response.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.Response.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.Response.Builder newBuilder(StpApi.Response prototype)

    - #### toBuilder

          public StpApi.Response.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.Response.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`